Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041421
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementmajorhave not tried2019-07-22 20:362019-12-12 23:01
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionbde2c9c59217
ProjectionnoneETAnoneTarget Version3.0PR20Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041421: Unsupport legacy cost engine

DescriptionStarting from 20Q1 legacy cost engine will no longer be supported.

All code related to legacy cost engine will be removed and a new build validation will be included to make sure Costing Migration Process was run before updating an instance.

Following are the candidates that could be removed as they belong to old costing feature: https://docs.google.com/spreadsheets/d/1QAUlH666J20cpCngFdOG0-PT3E3q6XyDyIyIC7GYXm0/edit?usp=sharing [^]
Steps To ReproduceUpdate an OB instance with legacy cost engine to 20Q1.
Following error will be shown in the updating process:
Legacy cost engine is no longer supported. It is mandatory to run Costing Migration Process before updating the instance.

Update an OB instance with new cost engine to 20Q1.
No error is shown in the updating process.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0041422 closedAtulOpenbravo API Change: Old Costing Cleanup 
related to defect 0042120 newplatform DB consistency in configScript is not shown as warning in update.database 

-  Notes
(0115066)
hgbot (developer)
2019-10-14 14:12

Repository: erp/devel/pi
Changeset: bde2c9c59217a53b3b8f288029969561dacd3f09
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 11 12:20:59 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bde2c9c59217a53b3b8f288029969561dacd3f09 [^]

Fixes Issue 41421: Unsupport legacy cost engine [Old Costing Cleanup]
**Removed DB functions M_generate_average_costs,
M_generate_standard_costs, Ma_production_cost_generate,
m_update_pareto_product0legacy, m_update_pareto_product_legacy
**Removed ad_process & access for Create Production Costs,
Generate Average Costs, Valued Stock Report Legacy,
Sales Invoice Dimensional Report Legacy,
Pareto Product Report Legacy, M_UPDATE_PARETO_PRODUCT_LEGACY
**Removed menu for Create Production Costs, Generate Average Costs,
Pareto Product Report Legacy, Valued Stock Report Legacy,
Sales Invoice Dimensional Report Legacy
**Removed process parameter for Generate Average Costs process.
**Removed java class, html, xml, xsql, model object, model object mapping,
textinterfaces, message for ReportParetoProductLegacy,
ReportInvoiceCustomerDimensionalAnalysesJR_legacy,
ReportValuationStock_legacy
**Removed unused AD_Message registers.
**Removed CostingMigrationProcess & CostingStatus
**Removed CostingStatus reference from CostingRuleProcess,
DocInOut, DocInternalConsumption, DocInventory, DocLine_Material,
DocMatchInv, DocMovement, DocProduction, ReportParetoProduct
ReportInvoiceCustomerDimensionalAnalysesJR, ReportValuationStock
**Removed Cost_Eng_Ins_Migrated preference use from db functions
MA_PRODUCTION_COST, MA_WORKEFFORT_VALIDATE, M_PRICELIST_CREATE
**Removed M_PRODUCT_COSTINGUPDATE DB process, its related
Report and Process, removed its related AD_PROCESS_PARA and
AD_PROCESS_ACCESS references from sample data for F&B
International Group and QA Testing client
**Removed M_GET_TRANSACTION_COST, M_GENERATE_AVERAGE_COSTS
**Removed M_GET_TRX_AND_PRODUCT_COST.xml
**Modified M_COSTING_TRG, M_COSTING_RULE_TRG to remove
preferences related to costing migration.
**Removed columns: M_Product.Coststd, M_Product.Costtype,
M_Costing.M_InOutLine_ID, M_Costing.M_ProductionLine_ID,
its associated AD_FIELD, AD_COLUMN artifacts and sample data
references in F&B International Group and QA testing client,
reference from TestCostingUtils
**Modified columns: M_Costing.Costtype (remove default value)
**Modified columns: M_Costing.M_Transaction_ID,
M_Costing.M_Warehouse_ID,
M_Costing.C_Currency_ID (remove display logic)
**Modified Reference Cost Type by deactivating unused list
elements AV, ST
**Removed Validation Rule : Costs migrated
**Modified Validation Rule used in AD_Org In product costing tab
**Removed Auxiliar input : isCostMigrated
**Removed modulescript : InitializeCostingMigrationPreference
**Removed DB Function M_GET_PARETO_ABC_LEGACY
**Modified M_PRICELIST_CREATE to use mp.CostType instead of null
**Modified DocInOut, DocInternalConsumption, DocMovement,
DocProduction to remove piece of code that had AND clause with
CostingStatus IsMigrated as true, as this condition wont be never
reached hence entire if loop removed.
**Remove unused methods from ProductInfo & ProductInfo_data.xsql

---
M modules/org.openbravo.v3.datasets/referencedata/standard/V3_Roles.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_PRODUCT.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/model/functions/MA_PRODUCTION_COST.xml
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
M src-db/database/model/tables/M_COSTING.xml
M src-db/database/model/tables/M_PRODUCT.xml
M src-db/database/model/triggers/M_COSTING_RULE_TRG.xml
M src-db/database/model/triggers/M_COSTING_TRG.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src-test/src/org/openbravo/test/costing/utils/TestCostingUtils.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/erpCommon/ad_forms/DocInOut.java
M src/org/openbravo/erpCommon/ad_forms/DocInternalConsumption.java
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_Material.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
M src/org/openbravo/erpCommon/ad_forms/DocMovement.java
M src/org/openbravo/erpCommon/ad_forms/DocProduction.java
M src/org/openbravo/erpCommon/ad_forms/ProductInfo.java
M src/org/openbravo/erpCommon/ad_forms/ProductInfo_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.java
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
R src-db/database/model/functions/MA_PRODUCTION_COST_GENERATE.xml
R src-db/database/model/functions/M_GENERATE_AVERAGE_COSTS.xml
R src-db/database/model/functions/M_GENERATE_STANDARD_COSTS.xml
R src-db/database/model/functions/M_GET_PARETO_ABC_LEGACY.xml
R src-db/database/model/functions/M_GET_TRANSACTION_COST.xml
R src-db/database/model/functions/M_GET_TRX_AND_PRODUCT_COST.xml
R src-db/database/model/functions/M_UPDATE_PARETO_PRODUCT0LEGACY.xml
R src-db/database/model/functions/M_UPDATE_PARETO_PRODUCT_LEGACY.xml
R src-util/modulescript/src/org/openbravo/modulescript/InitializeCostingMigrationPreference.java
R src-util/modulescript/src/org/openbravo/modulescript/InitializeCostingMigrationPreference_data.xsql
R src/org/openbravo/costing/CostingMigrationProcess.java
R src/org/openbravo/costing/CostingStatus.java
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR_legacy.jrxml
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter_legacy.html
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter_legacy.xml
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_legacy.java
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_legacy_data.xsql
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR_legacy.jrxml
R src/org/openbravo/erpCommon/ad_reports/ReportParetoProductLegacy.html
R src/org/openbravo/erpCommon/ad_reports/ReportParetoProductLegacy.java
R src/org/openbravo/erpCommon/ad_reports/ReportParetoProductLegacy_data.xsql
R src/org/openbravo/erpCommon/ad_reports/ReportValuationStock_legacy.html
R src/org/openbravo/erpCommon/ad_reports/ReportValuationStock_legacy.java
R src/org/openbravo/erpCommon/ad_reports/ReportValuationStock_legacy_data.xsql
---
(0115068)
hgbot (developer)
2019-10-14 14:17

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 5b0eb65cd16c914d909c97c2dc7be6a9e6fb4b85
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Sep 27 10:12:30 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/5b0eb65cd16c914d909c97c2dc7be6a9e6fb4b85 [^]

Related To Issue 41421: Remove references from AD_PROCESS_ACCESS for
process being removed

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0115069)
hgbot (developer)
2019-10-14 14:17

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 1611db2df6b4ddd6a151b210d32dde35a69a7a00
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Sep 27 10:11:58 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/1611db2df6b4ddd6a151b210d32dde35a69a7a00 [^]

Related To Issue 41421: Remove references from AD_PROCESS_ACCESS
for process being removed and COSTTYPE data from M_PRODUCT

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0115070)
hgbot (developer)
2019-10-14 14:20

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: bc6443f9c49dab06797cea831c008b6f32f5c605
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Sep 27 10:13:05 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/bc6443f9c49dab06797cea831c008b6f32f5c605 [^]

Related To Issue 41421: Remove references from AD_PROCESS_ACCESS for
process being removed.

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0115081)
hgbot (developer)
2019-10-14 19:33

Repository: erp/pmods/org.openbravo.module.idljava
Changeset: cf935f2cc728fbefddfd154becd85e904051922c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 11 21:56:03 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.idljava/rev/cf935f2cc728fbefddfd154becd85e904051922c [^]

Related To Issue 41421: Unsupport legacy cost engine

**Remove usage of Product's setCostType and setStandardCost method

---
M src/org/openbravo/module/idljava/proc/SampleProductsProcess.java
---
(0115082)
hgbot (developer)
2019-10-14 19:37

Repository: erp/pmods/org.openbravo.idl
Changeset: 60a218172dc0d014122808771144e888d2dd6773
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 11 21:54:31 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/60a218172dc0d014122808771144e888d2dd6773 [^]

Related To Issue 41421: Unsupport legacy cost engine

**Remove usage of Product's setCostType and setStandardCost methods

---
M src/org/openbravo/idl/proc/ProductsProcess.java
---
(0115083)
hgbot (developer)
2019-10-14 19:38

Repository: erp/pmods/org.openbravo.service.integration.sap.ecc.mappings
Changeset: e2e810c6e988be85cd983c87e1e8daeb3bc79b6e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 11 21:52:09 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.sap.ecc.mappings/rev/e2e810c6e988be85cd983c87e1e8daeb3bc79b6e [^]

Related To Issue 41421:Unsupport legacy cost engine

**Remove usage of Product.setCostType method

---
M src/org/openbravo/service/integration/sap/ecc/mappings/initializer/ProductOBObjectInitializer.java
---
(0115129)
hgbot (developer)
2019-10-16 18:50

Repository: erp/devel/pi
Changeset: 15fd753a940c86732796b2cb818526017ba156ff
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Oct 16 09:58:21 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/15fd753a940c86732796b2cb818526017ba156ff [^]

Related To Issue 41421:Unsupport legacy cost engine

** Added build validation to check whether the instance is updated
to new costing engine as legacy cost engine is no more supported

---
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CostingMigrationCheck.class
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CostingMigrationCheckData.class
A src-util/buildvalidation/build/javasqlc/src/org/openbravo/buildvalidation/CostingMigrationCheckData.java
A src-util/buildvalidation/src/org/openbravo/buildvalidation/CostingMigrationCheck.java
A src-util/buildvalidation/src/org/openbravo/buildvalidation/CostingMigrationCheck_data.xsql
---
(0115133)
aferraz (developer)
2019-10-17 08:31

Code review OK
(0115274)
hgbot (developer)
2019-10-25 07:40

Repository: erp/devel/pi
Changeset: 4d8eac4c76ed818ce6bd668c85922923c27c0817
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Oct 22 23:00:10 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4d8eac4c76ed818ce6bd668c85922923c27c0817 [^]

Related To Issue 41421: Unsupport legacy costing

**Modified Costing Migration Check Build Validation
to check whether M_Costing_Rule table exists in DB

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CostingMigrationCheck.class
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CostingMigrationCheckData.class
M src-util/buildvalidation/build/javasqlc/src/org/openbravo/buildvalidation/CostingMigrationCheckData.java
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CostingMigrationCheck.java
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CostingMigrationCheck_data.xsql
---
(0115275)
hgbot (developer)
2019-10-25 07:40

Repository: erp/devel/pi
Changeset: 9b520c6046f848698358384e8cd1be3a95c5125e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Oct 23 13:24:56 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9b520c6046f848698358384e8cd1be3a95c5125e [^]

Related To Issue 41421:Unsupport legacy costing
Triggers M_COSTING_TRG and M_COSTING_RULE_TRG does not
have INSERT operation hence updated accordingly

---
M src-db/database/model/triggers/M_COSTING_RULE_TRG.xml
M src-db/database/model/triggers/M_COSTING_TRG.xml
---
(0115276)
hgbot (developer)
2019-10-25 07:40

Repository: erp/devel/pi
Changeset: 6cfcb12825036d3342f2ad2c7d2e9ff53d0eceec
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Oct 23 14:36:23 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6cfcb12825036d3342f2ad2c7d2e9ff53d0eceec [^]

Related To Issue 41421:Unsupport legacy costing

**Manage DB consistency in configScript remove
references of AD_FIELD from configScript that
were removed during old costing cleanup

---
M modules/org.openbravo.v3/src-db/database/configScript.xml
---
(0115277)
hgbot (developer)
2019-10-25 07:41

Repository: erp/pmods/org.openbravo.retail.pack
Changeset: 8efff154c926aec9c069a422de300dd3131923e1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Oct 23 14:37:48 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.pack/rev/8efff154c926aec9c069a422de300dd3131923e1 [^]

Related To Issue 41421:Unsupport legacy costing

**Manage DB consistency in configScript, remove
references of AD_PROCESS and AD_MENU from
configScript that were removed during old costing
cleanup

---
M src-db/database/configScript.xml
---
(0116240)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116253)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116264)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116265)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116266)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-22 20:36 AtulOpenbravo New Issue
2019-07-22 20:36 AtulOpenbravo Assigned To => Triage Finance
2019-07-22 20:36 AtulOpenbravo Modules => Core
2019-07-22 20:36 AtulOpenbravo Triggers an Emergency Pack => No
2019-07-22 20:36 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2019-07-22 20:37 AtulOpenbravo Status new => scheduled
2019-07-22 20:46 AtulOpenbravo Relationship added depends on 0041422
2019-07-22 22:31 AtulOpenbravo Description Updated View Revisions
2019-10-04 14:08 aferraz Severity trivial => major
2019-10-04 14:08 aferraz Category Z. Others => 04. Warehouse management
2019-10-04 14:08 aferraz Type defect => feature request
2019-10-04 14:08 aferraz Target Version => 3.0PR20Q1
2019-10-04 14:08 aferraz Summary Old Costing Cleanup => Unsupport legacy cost engine
2019-10-04 14:08 aferraz Description Updated View Revisions
2019-10-04 14:08 aferraz Steps to Reproduce Updated View Revisions
2019-10-14 14:12 hgbot Checkin
2019-10-14 14:12 hgbot Note Added: 0115066
2019-10-14 14:12 hgbot Status scheduled => resolved
2019-10-14 14:12 hgbot Resolution open => fixed
2019-10-14 14:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bde2c9c59217a53b3b8f288029969561dacd3f09 [^]
2019-10-14 14:17 hgbot Checkin
2019-10-14 14:17 hgbot Note Added: 0115068
2019-10-14 14:17 hgbot Checkin
2019-10-14 14:17 hgbot Note Added: 0115069
2019-10-14 14:20 hgbot Checkin
2019-10-14 14:20 hgbot Note Added: 0115070
2019-10-14 19:33 hgbot Checkin
2019-10-14 19:33 hgbot Note Added: 0115081
2019-10-14 19:37 hgbot Checkin
2019-10-14 19:37 hgbot Note Added: 0115082
2019-10-14 19:38 hgbot Checkin
2019-10-14 19:38 hgbot Note Added: 0115083
2019-10-16 18:50 hgbot Checkin
2019-10-16 18:50 hgbot Note Added: 0115129
2019-10-17 08:31 aferraz Review Assigned To => aferraz
2019-10-17 08:31 aferraz Note Added: 0115133
2019-10-17 08:31 aferraz Status resolved => closed
2019-10-17 08:31 aferraz Fixed in Version => 3.0PR20Q1
2019-10-23 11:32 aferraz Status closed => new
2019-10-23 11:32 aferraz Resolution fixed => open
2019-10-23 11:32 aferraz Fixed in Version 3.0PR20Q1 =>
2019-10-25 07:40 hgbot Checkin
2019-10-25 07:40 hgbot Note Added: 0115274
2019-10-25 07:40 hgbot Checkin
2019-10-25 07:40 hgbot Note Added: 0115275
2019-10-25 07:40 hgbot Checkin
2019-10-25 07:40 hgbot Note Added: 0115276
2019-10-25 07:41 hgbot Checkin
2019-10-25 07:41 hgbot Note Added: 0115277
2019-10-25 10:54 aferraz Status new => scheduled
2019-10-25 10:55 aferraz Status scheduled => resolved
2019-10-25 10:55 aferraz Fixed in Version => 3.0PR20Q1
2019-10-25 10:55 aferraz Resolution open => fixed
2019-10-25 10:55 aferraz Status resolved => closed
2019-10-25 12:52 AtulOpenbravo Relationship added related to 0042120
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116240
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116253
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116264
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116265
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116266


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker